Name:     	libnspr4
Version: 	4.1
Release:	1
Copyright:	MPL/GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.mozilla.org/projects/nspr/index.html
# use libnspr from mozilla 0.9 branch
Source0:	libnspr-4.1-moz09.tar.bz2
Summary:	Netscape Portable Runtime Library
Group:		System/Libraries

%description
This library provides platform independent non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calender time,
  * basic memory management (malloc and free),
  * shared library linking.
 .
 See http://www.mozilla.org/docs/refList/refNSPR/ for more information.



%package devel
Summary:	Netscape Portable Runtime library - development files
Group:		Development/C++
Requires:	%{name} = %{version}

%description devel
NSPR provides platform independence for non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calender time,
  * basic memory management (malloc and free),
  * shared library linking.
 .
 See http://www.mozilla.org/docs/refList/refNSPR/ for more information.
 .
 You need this package to get includes and static libraries for building
 programs linked to NSPR.

%prep
%setup -q -n nsprpub

%build

./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} --infodir=%{_infodir} --localstatedir=%{_localstatedir} --enable-ipv6 --with-pthreads --enable-mdupdate --enable-64bit --enable-optimize --disable-debug --with-mozilla

make


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal

cp -r dist/include/* $RPM_BUILD_ROOT%{_includedir}
cp -r dist/lib/* $RPM_BUILD_ROOT%{_libdir}
cp config/nspr-config $RPM_BUILD_ROOT%{_bindir}
cp config/nspr.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_datadir}/aclocal/*

%changelog
* Fri May 25 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux

* Thu May 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1-2mdk
- Add missing files 

* Wed May 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.1-1mdk
- First Mandrake package
